function [Pdwn,Pdwnscale]=Pstat_deriv(P,k,V);
%kderivative of kth eigenvector of a P matrix with respect to a given
%compensation pattern
%SYNTAX
%[Pdwn,Pdwnscale]=Pstat_deriv(P,k,V);
%INPUTS
%P is the P matrix (cols sum to 1: ecology convention)
%k is the eigenvector to look at (sorted in descending order of real part
%of eigenvalue: choose 1 for stationary distribution)
%V is the compensation pattern that ensures we maintain column
%stochasticity
%OUTPUTS
%USES
%Pstat_partialderiv.m

s=size(P,1);
Pdwn=zeros(s,1);
Pdwnscale=Pdwn;

for m=1:s
    for n=1:s
        [dwn,dwnscale]=Pstat_partialderiv(P,m,n,k);
        Pdwn=Pdwn+V(m,n)*dwnscale;
        Pdwnscale=Pdwnscale+V(m,n)*dwnscale;
    end;
end;